# Class Void

java.lang.Object
java.lang.Void

public final class Void extends Object
The `Void` class is an uninstantiable placeholder class to hold a reference to the `Class` object representing the Java keyword void.

Since:
  1.1

## Field Summary

Fields
Modifier and Type
Field
Description
`static final Class<Void>`
`TYPE`
The `Class` object representing the pseudo-type corresponding to the keyword `void`.

## Method Summary

### Methods declared in class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### TYPE

public static final Class<Void> TYPE
The `Class` object representing the pseudo-type corresponding to the keyword `void`.